﻿using System.ComponentModel;

namespace BDNotasAlumnos
{
  public class Asignatura : INotifyPropertyChanged
  {
    private int _idAsignatura;
    public int IdAsignatura
    {
      get { return _idAsignatura; }
      set
      {
        _idAsignatura = value;
        OnPropertyChanged(new PropertyChangedEventArgs("IdAsignatura"));
      }
    }

    private string _nomAsignatura;
    public string NomAsignatura
    {
      get { return _nomAsignatura; }
      set
      {
        _nomAsignatura = value;
        OnPropertyChanged(new PropertyChangedEventArgs("NomAsignatura"));
      }
    }

    public event PropertyChangedEventHandler PropertyChanged;
    public void OnPropertyChanged(PropertyChangedEventArgs e)
    {
      if (PropertyChanged != null)
        PropertyChanged(this, e); // generar evento
    }

    public override string ToString()
    {
      return NomAsignatura + " (" + IdAsignatura + ")";
    }

    public Asignatura(int id, string nomAsig)
    {
      IdAsignatura = id;
      NomAsignatura = nomAsig;
    }
  }
}
