﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ConverTemps2
{
  /// <summary>
  /// Lógica de interacción para MainWindow.xaml
  /// </summary>
  public partial class MainWindow : Window
  {
    public MainWindow()
    {
      InitializeComponent();
    }

    private void formPrincipal_Loaded(object sender, RoutedEventArgs e)
    {
      ctGradosC.Focus();
    }

    private void ctGrados_GotKeyboardFocus(object sender, KeyboardFocusChangedEventArgs e)
    {
      TextBox ObjTextBox = sender as TextBox;
      ObjTextBox.SelectAll();
    }

    //private void Grid_PreviewKeyDown(object sender, KeyEventArgs e)
    //{
    //  if (e.Key == Key.Enter)
    //  {
    //    // Se pulsó la tecla Entrar
    //    e.Handled = true;
    //    Conversion(e.Source);
    //  }
    //}

    private void Conversion(object source)
    {
      TextBox objTextBox = source as TextBox;
      try
      {
        double grados;

        // Si se escribió en la caja de texto grados centígrados...
        if (objTextBox == ctGradosC)
        {
          grados = Convert.ToDouble(ctGradosC.Text) * 9.0 / 5.0 + 32.0;
          // Mostrar el resultado redondeado a dos decimales
          ctGradosF.Text = string.Format("{0:F2}", grados);
        }
        // Si se escribió en la caja de texto grados Fahrenheit...
        if (objTextBox == ctGradosF)
        {
          grados = (Convert.ToDouble(ctGradosF.Text) - 32.0) * 5.0 / 9.0;
            // Mostrar el resultado redondeado a dos decimales
          ctGradosC.Text = string.Format("{0:F2}", grados);
        }
      }
      catch (FormatException)
      {
        ctGradosC.Text = "0,00";
        ctGradosF.Text = "32,00";
      }
    }

    private void ValidarTecla_PreviewTextInput(object sender, TextCompositionEventArgs e)
    {
      if (e.Text == "\r")
      {
        // Se pulsó la tecla Entrar
        e.Handled = true;
        Conversion(e.Source);
      }
      else if (e.Text == ",")
      {
        TextBox ObjTextBox = (TextBox)e.Source;
        if (ObjTextBox.Text.IndexOf(',') != -1)
        {
          // Sólo puede haber una coma
          e.Handled = true;
        }
      }
      else if (e.Text == "-" || e.Text == "+")
      {
        TextBox ObjTextBox = (TextBox)e.Source;
        // Admitir - o + sólo en la primera posición:
        if (ObjTextBox.SelectionLength == ObjTextBox.Text.Length)
        {
          // Todo el texto está seleccionado: se sobrescribe con el signo
          e.Handled = false;
        }
        else if (ObjTextBox.Text.Length != 0)
        {
          // La primera posición ya está ocupada
          e.Handled = true;
        }
      }
      else if (e.Text.CompareTo("0") < 0 || e.Text.CompareTo("9") > 0)
      {
        // Desechar los caracteres que no son dígitos
        e.Handled = true;
      }
    }
  }
}
