﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ConverTemps
{
  /// <summary>
  /// Lógica de interacción para MainWindow.xaml
  /// </summary>
  public partial class MainWindow : Window
  {
    private TextBox objTextBox = null;
    private int ContarEventos = 0;

    public MainWindow()
    {
      InitializeComponent();
    }

    private void btAceptar_Click(object sender, RoutedEventArgs e)
    {
      try
      {
        double grados;
        // Si se escribió en la caja de texto grados centígrados...
        if (objTextBox == ctGradosC)
        {
          grados = Convert.ToDouble(ctGradosC.Text) * 9.0 / 5.0 + 32.0;
          // Mostrar el resultado redondeado a dos decimales
          ctGradosF.Text = string.Format("{0:F2}", grados);
        }
        // Si se escribió en la caja de texto grados Fahrenheit...
        if (objTextBox == ctGradosF)
        {
          grados = (Convert.ToDouble(ctGradosF.Text) - 32.0) * 5.0 / 9.0;
          // Mostrar el resultado redondeado a dos decimales
          ctGradosC.Text = string.Format("{0:F2}", grados);
        }
      }
      catch (FormatException)
      {
        ctGradosC.Text = "0,00";
        ctGradosF.Text = "32,00";
      }
    }

    private void ctGradosC_PreviewTextInput(object sender, TextCompositionEventArgs e)
    {
      objTextBox = sender as TextBox;
    }

    private void ctGradosF_PreviewTextInput(object sender, TextCompositionEventArgs e)
    {
      objTextBox = sender as TextBox;
    }

    private void formPrincipal_Loaded(object sender, RoutedEventArgs e)
    {
      ctGradosC.Focus();
    }

    private void ctGrados_GotKeyboardFocus(object sender, KeyboardFocusChangedEventArgs e)
    {
      TextBox ObjTextBox = sender as TextBox;
      ObjTextBox.SelectAll();
    }

    private void ResponderEventoTunel(object sender, MouseButtonEventArgs e)
    {
      string ruta = "Túnel, ";
      Resultados(sender, e, ruta);
    }

    private void ResponderEventoPropa(object sender, MouseButtonEventArgs e)
    {
      string ruta = "Propagación, ";
      Resultados(sender, e, ruta);
    }

    private void Resultados(object sender, MouseButtonEventArgs e, string ruta)
    {
      ContarEventos++;
      System.Diagnostics.Debug.WriteLine(
        ruta + ContarEventos.ToString() + ":\n" +
        " Controló el evento (sender): " + sender.ToString() + "\n" +
        " Desencadenó el evento (Source): " + e.Source + "\n" +
        " Fuente original (OriginalSource): " + e.OriginalSource);
      //e.Handled = true;
    }
  }
}
