﻿using System;
using System.Collections.Generic;

namespace Ap_ICommand.BBDD
{
  public class bbdd
  {
    private static List<Alumno> alumnos = ObtenerAlumnos();

    // Crear la base de datos
    public static List<Alumno> ObtenerAlumnos()
    {
      alumnos = new List<Alumno>();
      List<Asignatura> asignaturas = null; 
      Random rnd = new Random();
      for (int i = 1; i < 10; ++i )
      {
        int id = i + i * 10 + i * 100; // 111, 222,...
        asignaturas = new List<Asignatura>(); 
        for (int a = 1; a < rnd.Next(3,8); ++a)
        {
          string asig = "Asignatura " + a; // Asignatura 1,...
          float nota = (float)(((int)(rnd.NextDouble() * 100)) / 10.0F);
          asignaturas.Add(new Asignatura(asig, nota));
        }
        alumnos.Add(new Alumno(id, asignaturas));
      }
      return alumnos;
    }

    public static Alumno ObtenerAlumnoPorId(int id)
    {
      Alumno alumno =
          alumnos.Find(
             delegate(Alumno al)  // predicado anónimo
             {
               return al.IdAlumno == id;
             }
           );
      return alumno;
    }

    public static List<Asignatura> ObtenerAsigsAlumno(int id)
    {
      Alumno alumno = ObtenerAlumnoPorId(id);
      if (alumno == null) return null;
      return alumno.ListaAsignaturas;
    }

    public static Asignatura ObtenerAsignatura(int id, string nomAsig)
    {
      List<Asignatura> listaAsigs =  ObtenerAsigsAlumno(id);
      Asignatura asignatura =
          listaAsigs.Find(
             delegate(Asignatura asign)  // predicado anónimo
             {
               return asign.NomAsignatura == nomAsig;
             }
           );
      return asignatura;
    }
  }
}
