﻿using System.Windows;
using System.Collections.Generic;
using Ap_ICommand.BBDD;
using System;

namespace Ap_ICommand
{
  /// <summary>
  /// Lógica de interacción para MainWindow.xaml
  /// </summary>
  public partial class MainWindow : Window
  {
    // Command: OrdenMostrarNota
    private static Alumno alumno = new Alumno();
    private static Asignatura asignatura = new Asignatura();
    public static OrdenMostrarNota ordenMostrarNota = new OrdenMostrarNota(alumno, asignatura, 111, 999);

    public MainWindow()
    {
      InitializeComponent();
      // Iniciar contextos de datos
      ctDni.DataContext = alumno;
      lsdAsigs.DataContext = asignatura;
      tbNota.DataContext = asignatura;
    }

    private void ctDni_TextChanged(object sender, System.Windows.Controls.TextChangedEventArgs e)
    {
      lsdAsigs.ItemsSource = null;
      alumno.ListaAsignaturas.Clear();
      asignatura.Nota = -1.0F;
      int id;
      if (!int.TryParse(ctDni.Text, out id)) return;
      List<Asignatura> listaAsigs = bbdd.ObtenerAsigsAlumno(id);
      if (listaAsigs == null)
      {
        tbError.Text = "Error: el DNI no existe.";
        return;
      }
      tbError.Text = "DNI válido.";
      lsdAsigs.ItemsSource = listaAsigs;
      alumno.ListaAsignaturas = listaAsigs;
    }
  }
}
