﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace MenusDinamicos
{
  /// <summary>
  /// Lógica de interacción para MainWindow.xaml
  /// </summary>
  public partial class MainWindow : Window
  {
    public MainWindow()
    {
      InitializeComponent();
    }

    private void ElementoMenuPais_Click(object sender, RoutedEventArgs e)
    {
      MessageBox.Show(((MenuItem)sender).Header.ToString());
    }

    private void PaisAñadir_Click(object sender, RoutedEventArgs e)
    {
      // Inicialmente hay 3 elementos (dos ocultos)
      if (menuPais.Items.Count == 3)
      {
        // Hacer visibles los elementos Eliminar y el Separador1
        PaisEliminar.Visibility = Visibility.Visible;
        Separador1.Visibility = Visibility.Visible;
      }
      // Construir un título para el menú
      string titulo = "País " + (menuPais.Items.Count - 2);
      // Crear un elemento con el título construido
      MenuItem elemento = new MenuItem();
      elemento.Header = titulo;
      // Especificar cuál será su controlador de eventos Click
      elemento.Click += new RoutedEventHandler(ElementoMenuPais_Click);
      // Añadir el elemento al menú País
      menuPais.Items.Add(elemento);
    }

    private void PaisEliminar_Click(object sender, RoutedEventArgs e)
    {
      // Eliminar el último elemento
      int indUltimo = menuPais.Items.Count - 1;
      menuPais.Items.RemoveAt(indUltimo);
      if (menuPais.Items.Count == 3)
      {
        // No quedan más países. Ocultar los elementos
        // Eliminar y el separador
        PaisEliminar.Visibility = Visibility.Collapsed;
        Separador1.Visibility = Visibility.Collapsed;
      }
    }

    private void ArchivoSalir_Click(object sender, RoutedEventArgs e)
    {
      Close();
    }
  }
}
