﻿using System;
using System.Windows;
using System.Reflection;

namespace CajasDeDialogo
{
  /// <summary>
  /// Lógica de interacción para AcercaDe.xaml
  /// </summary>
  public partial class AcercaDe : Window
  {
    public AcercaDe()
    {
      InitializeComponent();

      // Atributos globales
      this.Title = ((AssemblyTitleAttribute)ObtenerInfo(typeof(AssemblyTitleAttribute))).Title;
      this.etNombreProd.Content = "Nombre del producto:  " + ((AssemblyProductAttribute)ObtenerInfo(typeof(AssemblyProductAttribute))).Product;
      this.etVersion.Content = "Versión:  " + ((AssemblyFileVersionAttribute)ObtenerInfo(typeof(AssemblyFileVersionAttribute))).Version;
      this.etCopyright.Content = ((AssemblyCopyrightAttribute)ObtenerInfo(typeof(AssemblyCopyrightAttribute))).Copyright;
      this.etNombreEmpr.Content = "Nombre de la empresa: " + ((AssemblyCompanyAttribute)ObtenerInfo(typeof(AssemblyCompanyAttribute))).Company;
      this.bktDescrip_sec1.Text = ((AssemblyDescriptionAttribute)ObtenerInfo(typeof(AssemblyDescriptionAttribute))).Description;
    }

    private object ObtenerInfo(Type atributo, bool h = false)
    {
      // Atributos globales
      Assembly ensamblado = Assembly.GetExecutingAssembly();
      object[] atributos = ensamblado.GetCustomAttributes(atributo, h);
      return atributos[0];
    }

    private void btAceptar_Click(object sender, RoutedEventArgs e)
    {
      Close();
    }
  }
}
