﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace CajasDeDialogo
{
  /// <summary>
  /// Lógica de interacción para DlgDocDinamico.xaml
  /// </summary>
  public partial class DlgDocDinamico : Window
  {
    public DlgDocDinamico()
    {
      InitializeComponent();
    }

    private void Window_Loaded(object sender, RoutedEventArgs e)
    {
      // Buscar los elementos Span que se pueden cambiar
      Buscar_Paragraph(documento.Blocks);
      foreach (Block block in documento.Blocks)
      {
        List lista = block as List;
        if (lista != null)
        {
          foreach (ListItem listItem in lista.ListItems)
          {
            Buscar_Paragraph(listItem.Blocks);
          }
        }
      }
    }

    private void Buscar_Paragraph(BlockCollection blockCollection)
    {
      // Buscar elementos Paragraph
      foreach (Block block in blockCollection)
      {
        Paragraph parrafo = block as Paragraph;
        if (parrafo != null) Buscar_Span(parrafo);
      }
    }

    private void Buscar_Span(Paragraph parrafo)
    {
      // Buscar elementos Span
      foreach (Inline inline in parrafo.Inlines)
      {
        Span span = inline as Span;
        if (span != null && inline.Tag != null)
        {
          // Añadir una etiqueta y una caja de texto por cada Span
          RowDefinition fila = new RowDefinition();
          gridCambios.RowDefinitions.Add(fila);

          Label etiqueta = new Label();
          etiqueta.Content = inline.Tag.ToString() + ": ";
          Grid.SetColumn(etiqueta, 0);
          Grid.SetRow(etiqueta, gridCambios.RowDefinitions.Count - 1);
          gridCambios.Children.Add(etiqueta);

          TextBox cajaTexto = new TextBox();
          Grid.SetColumn(cajaTexto, 1);
          Grid.SetRow(cajaTexto, gridCambios.RowDefinitions.Count - 1);
          cajaTexto.Tag = span.Inlines.FirstInline; // elemento Run
          gridCambios.Children.Add(cajaTexto);
        }
      }
    }

    private void btCambios_Click(object sender, RoutedEventArgs e)
    {
      foreach (UIElement elmentoEnGridCambios in gridCambios.Children)
      {
        if (Grid.GetColumn(elmentoEnGridCambios) == 1)
        {
          TextBox cajaTexto = (TextBox)elmentoEnGridCambios;
          if (cajaTexto.Text != "")
            ((Run)cajaTexto.Tag).Text = cajaTexto.Text;
        }
      }
    }
  }
}
