﻿using System;
using System.Windows;
using System.Windows.Threading;

namespace Temporizador
{
  /// <summary>
  /// Lógica de interacción para MainWindow.xaml
  /// </summary>
  public partial class MainWindow : Window
  {
    private DispatcherTimer temporizador;
    private TimeSpan tAntes;
    private TimeSpan tDespues;

    public MainWindow()
    {
      InitializeComponent();
      CrearTemporizador();
    }

    private void Window_Loaded(object sender, RoutedEventArgs e)
    {
      tAntes = DateTime.Now.TimeOfDay;
      temporizador.Interval = new TimeSpan(10000); ; // 1 tick = 100 nanosegs.
    }

    private void CrearTemporizador()
    {
      temporizador = new DispatcherTimer();
      temporizador.Interval = new TimeSpan(0, 0, 1);
      temporizador.Tick += new EventHandler(Temporizador_Tick);
      temporizador.Start();
    }

    void Temporizador_Tick(object sender, EventArgs e)
    {
      etHora.Content = DateTime.Now.ToLongTimeString();

      tDespues = DateTime.Now.TimeOfDay;
      System.Diagnostics.Debug.WriteLine((tDespues - tAntes).Milliseconds + " mseg.");
      tAntes = tDespues;
    }
  }
}
