﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace BaseDeDatos
{
  public class Asignaturas : INotifyPropertyChanged
  {
    private string _tipo; // Obligatoria, Optativa
    public string Tipo
    {
      get { return _tipo; }
      set
      {
        _tipo = value;
        OnPropertyChanged(new PropertyChangedEventArgs("Tipo"));
      }
    }

    private ObservableCollection<Asignatura> _listaAsignaturas;
    public ObservableCollection<Asignatura> ListaAsignaturas
    {
      get { return _listaAsignaturas; }
      set
      {
        _listaAsignaturas = value;
        OnPropertyChanged(new PropertyChangedEventArgs("ListaAsignaturas"));
      }
    }

    public event PropertyChangedEventHandler PropertyChanged;
    public void OnPropertyChanged(PropertyChangedEventArgs e)
    {
      if (PropertyChanged != null)
        PropertyChanged(this, e); // generar evento
    }

    public Asignaturas()
    {
      Tipo = "";
      ListaAsignaturas = new ObservableCollection<Asignatura>();
    }

    public Asignaturas(string tipo, ObservableCollection<Asignatura> lista)
    {
      Tipo = tipo;
      ListaAsignaturas = lista;
    }
  }
}
