﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Media;
using BaseDeDatos;

namespace EnlaceDeDatosObjetos
{
  /// <summary>
  /// Lógica de interacción para DlgDataGrid.xaml
  /// </summary>
  public partial class DlgDataGrid : Window
  {
    private SolidColorBrush azulClaro = new SolidColorBrush(Colors.LightSkyBlue);
    private SolidColorBrush colorPredeterminado = new SolidColorBrush(Colors.White);

    public DlgDataGrid()
    {
      InitializeComponent();
    }

    private void dgAlumnos_LoadingRow(object sender, DataGridRowEventArgs e)
    {
      // Comprobar los datos de esta fila
      Alumno filaActual = e.Row.DataContext as Alumno;
      if (filaActual == null) return;
      if (filaActual.BecaAlumno == true)
      {
        e.Row.Background = azulClaro;
      }
      else
      {
        // Restaurar el color predeterminado para asegurar que
        // las filas recargadas con formato son restauradas
        e.Row.Background = colorPredeterminado;
      }
    }

    private void dgAlumnos_SelectedCellsChanged(object sender, SelectedCellsChangedEventArgs e)
    {
      CollectionViewSource.GetDefaultView(dgAlumnos.ItemsSource).Refresh();
    }
  }
}
