﻿using System.Windows.Controls;

namespace EnlaceDeDatosObjetos.Validacion
{
  class ReglaIdValido : ValidationRule 
  {
    private double _idMin;
    private double _idMax;

    public double IdMin
    {
      get { return _idMin; }
      set { _idMin = value; }
    }

    public double IdMax
    {
      get { return _idMax; }
      set { _idMax = value; }
    }

    public override ValidationResult Validate(object value,
    System.Globalization.CultureInfo cultureInfo)
    {
      int id;
      if (!int.TryParse(value.ToString(), out id))
        return new ValidationResult(false,
          "Identificador no válido.");

      if (id < IdMin || id > IdMax)
        return new ValidationResult(false,
          string.Format("Valor fuera del rango {0} a {1}",
                        IdMin, IdMax));

      return ValidationResult.ValidResult;
    }
  }
}
