﻿using System.Windows;
using System.Windows.Controls;
using System.Data;
using BDNotasAlumnos;

namespace AccesoDesconectado
{
  /// <summary>
  /// Lógica de interacción para MainWindow.xaml
  /// </summary>
  public partial class MainWindow : Window
  {
    private CProveedorAsignaturasNotas pAsigsNotas = new CProveedorAsignaturasNotas();
    private DataView vistaAsignaturas;

    public MainWindow()
    {
      InitializeComponent();
    }

    private void dgAlumnos_SelectionChanged(object sender, SelectionChangedEventArgs e)
    {
      if (e.AddedItems.Count == 0) return;
      DataRowView drv = e.AddedItems[0] as DataRowView;
      if (drv == null) return;
      DataSetBDNotasAlumnos.alumnosRow fila = drv.Row as DataSetBDNotasAlumnos.alumnosRow;
      if (fila.RowState == DataRowState.Detached) return;
      vistaAsignaturas = pAsigsNotas.ObtenerAsignaturasNotas(fila.id_alumno);
      vistaAsignaturas.Sort = "nombreAsig";
      spAsignaturas.DataContext = vistaAsignaturas;
    }

    private void boTodas_Checked(object sender, RoutedEventArgs e)
    {
      if (vistaAsignaturas == null) return;
      vistaAsignaturas.RowFilter = "";
      spAsignaturas.DataContext = vistaAsignaturas;
    }

    private void boSuspensas_Checked(object sender, RoutedEventArgs e)
    {
      if (vistaAsignaturas == null) return;
      vistaAsignaturas.RowFilter = "nota < '5'";
      spAsignaturas.DataContext = vistaAsignaturas;
    }

    private void boAprobadas_Checked(object sender, RoutedEventArgs e)
    {
      if (vistaAsignaturas == null) return;
      vistaAsignaturas.RowFilter = "nota >= '5'";
      spAsignaturas.DataContext = vistaAsignaturas;
    }
  }
}
