﻿using System.Windows;
using System.Windows.Controls;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace ComponentesAccesoDatos
{
  /// <summary>
  /// Lógica de interacción para MainWindow.xaml
  /// </summary>
  public partial class MainWindow : Window
  {
    private CTelefonoBLL bd = new CTelefonoBLL();
    private ColCTelefonos coTfnos;
    private string tfnoAntesDeModificar;

    public MainWindow()
    {
      InitializeComponent();
    }

    private void Window_Loaded(object sender, RoutedEventArgs e)
    {
      try
      {
        // Contextos de datos
        coTfnos = bd.ObtenerFilasTfnos();
        dgTelefonos.DataContext = coTfnos;
      }
      catch (System.Exception ex)
      {
        MessageBox.Show(ex.Message);
      }
    }

    private void dgTelefonos_SelectionChanged(object sender, SelectionChangedEventArgs e)
    {
      if (e.RemovedItems.Count == 0) return;
      CTelefonoBO obj = e.RemovedItems[0] as CTelefonoBO;
      // Cuando se añade un nuevo elemento, obj es null
      if (obj != null && e.AddedItems.Count == 0 && e.RemovedItems.Count != 0)
      {
        bd.BorrarFilaTfnos(obj.Telefono);
      }
      if (obj != null && tfnoAntesDeModificar != null && e.AddedItems.Count != 0 && e.RemovedItems.Count != 0)
      {
        if (obj.Telefono != tfnoAntesDeModificar)
        {
          if (bd.ObtenerFilaTfnos(tfnoAntesDeModificar) != null)
            bd.BorrarFilaTfnos(tfnoAntesDeModificar);
        }
        tfnoAntesDeModificar = null;
      }
    }

    private void dgTelefonos_RowEditEnding(object sender, DataGridRowEditEndingEventArgs e)
    {
      tfnoAntesDeModificar = ((CTelefonoBO)e.Row.Item).Telefono;
    }

    private void Window_Closing(object sender, CancelEventArgs e)
    {
      for (int i = 0; i < coTfnos.Count; i++)
      {
        if (coTfnos[i].Modificado)
        {
          if (bd.ObtenerFilaTfnos(coTfnos[i].Telefono) == null) // insertar
            bd.InsertarFilaTfnos(coTfnos[i]);
          else // actualizar
            bd.ActualizarNomDirObs(coTfnos[i]);
        }
      }
    }
  }
}

