﻿using System.Windows;
using System.Data.OleDb;

namespace DataReader
{
  /// <summary>
  /// Lógica de interacción para MainWindow.xaml
  /// </summary>
  public partial class MainWindow : Window
  {
    private OleDbConnection ConexionConBD;
    private OleDbCommand OrdenSql;
    private OleDbDataReader Lector;

    public MainWindow()
    {
      InitializeComponent();
    }

    private void Window_Loaded(object sender, RoutedEventArgs e)
    {
      // Crear la conexión
      string strConexion = "Provider=Microsoft.ACE.OLEDB.12.0;" +
        "Data Source=C:./../../bd_telefonos.accdb;";
      ConexionConBD = new OleDbConnection(strConexion);
    }

    private void btMostrarDatos_Click(object sender, RoutedEventArgs e)
    {
      using (ConexionConBD)
      {
        // Crear una consulta
        string Consulta = "SELECT nombre, telefono FROM telefonos";
        OrdenSql = new OleDbCommand(Consulta, ConexionConBD);

        // Abrir la conexión con la base de datos
        ConexionConBD.Open();
        // ExecuteReader hace la consulta y devuelve un SqlDataReader
        Lector = OrdenSql.ExecuteReader();
        // Llamar siempre a Read antes de acceder a los datos
        while (Lector.Read()) // siguiente registro
        {
          lsTfnos.Items.Add(Lector["nombre"] + " " + Lector["telefono"]);
        }
        // Llamar siempre a Close una vez finalizada la lectura
        Lector.Close();
      }
      btMostrarDatos.IsEnabled = false;
    }
  }
}
