﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using BDNotasAlumnos;
using System.ComponentModel;

namespace ApNotasAlumnos
{
  /// <summary>
  /// Lógica de interacción para MainWindow.xaml
  /// </summary>
  public partial class MainWindow : Window
  {
    private object asigs;

    public MainWindow()
    {
      InitializeComponent();
    }

    private void dgAlumnos_SelectionChanged(object sender, SelectionChangedEventArgs e)
    {
      if (e.AddedItems.Count == 0) return;
      alumno alum = e.AddedItems[0] as alumno;
      if (alum == null) return;
      CProveedorAsignaturasNotas pAsigsNotas = new CProveedorAsignaturasNotas();
      asigs = pAsigsNotas.ObtenerAsignaturasNotas(alum.id_alumno);
      spAsignaturas.DataContext = asigs;
    }

    private void boTodas_Checked(object sender, RoutedEventArgs e)
    {
      ICollectionView vista = CollectionViewSource.GetDefaultView(asigs);
      if (vista == null) return;
      vista.Filter = null;
    }

    private void boSuspensas_Checked(object sender, RoutedEventArgs e)
    {
      ICollectionView vista = CollectionViewSource.GetDefaultView(asigs);
      if (vista == null) return;
      vista.Filter = delegate(object elemento)
      {
        dynamic elem = elemento;
        return elem.nota < 5;
      };
    }

    private void boAprobadas_Checked(object sender, RoutedEventArgs e)
    {
      ICollectionView vista = CollectionViewSource.GetDefaultView(asigs);
      if (vista == null) return;
      vista.Filter = delegate(object elemento)
      {
        dynamic elem = elemento;
        return elem.nota >= 5;
      };
    }
  }
}
