﻿using System.Windows;
using System.Windows.Input;
using System.Windows.Navigation;
using BDtelefonos;
using Microsoft.Win32;
using System.IO;
using System.ComponentModel;
using System.Drawing;
using System.Drawing.Imaging;

namespace ApXBAPtelefonos
{
  /// <summary>
  /// Lógica de interacción para PagFunAgregarTelefono.xaml
  /// </summary>
  public partial class PagFunAgregarTelefono : PageFunction<telefono>
  {
    telefono nuevoObjTfno = new telefono();

    public PagFunAgregarTelefono()
    {
      InitializeComponent();
      this.DataContext = nuevoObjTfno;
    }

    private void PagFAgregarTelefono_Loaded(object sender, RoutedEventArgs e)
    {
      nuevoObjTfno.nombre = "Nombre";
      nuevoObjTfno.direccion = "Dirección";
      nuevoObjTfno.telefono1 = "000000000";
      nuevoObjTfno.observaciones = "Observaciones";
      Bitmap fotoFicticia = Properties.Resources.unafoto;
      MemoryStream ms = new MemoryStream();
      fotoFicticia.Save(ms, ImageFormat.Jpeg);
      nuevoObjTfno.foto = ms.ToArray();
    }

    private void imFoto_MouseDown(object sender, MouseButtonEventArgs e)
    {
      OpenFileDialog dlg = new OpenFileDialog();
      dlg.Filter = "ficheros jpg (*.jpg)|*.jpg|" +
                   "ficheros jpeg (*.jpeg)|*.jpeg|" +
                   "ficheros png (*.png)|*.png|" +
                   "Todos (*.*)|*.*";
      dlg.ShowDialog();

      if (dlg.FileName != null && dlg.FileName.Length > 0)
        nuevoObjTfno.foto = File.ReadAllBytes(dlg.FileName);
    }

    private void btAceptar_Click(object sender, RoutedEventArgs e)
    {
      // Aceptar la información introducida
      OnReturn(new ReturnEventArgs<telefono>(nuevoObjTfno));
    }

    private void btCancelar_Click(object sender, RoutedEventArgs e)
    {
      // Operación cancelada
      OnReturn(null);
    }
  }
}
