﻿using System.ComponentModel.DataAnnotations;

namespace ApSilverlight.Paginas
{
  public class CPersona
  {
    private string fecha_nacimiento;
    private string nombre;
    private string apellidos;
    private string telefono;

    public CPersona(string f = null, string n = null,
    string a = null, string t = null)
    {
      fecha_nacimiento = f;
      nombre = n;
      apellidos = a;
      telefono = t;
    }

    public string Fecha_nacimiento
    {
      get { return fecha_nacimiento; }
      set { fecha_nacimiento = value; }
    }

    [Display(Name = "Apellidos y nombre:", Description =
        "Introduzca primero los apellidos y después el nombre.")]
    [Required(ErrorMessage = "Se requiere el nombre")]
    [RegularExpression(@"[a-zA-Zá-úÁ-ÚñÑüÜ\s]{1,32}", ErrorMessage =
        "No se permiten ni números ni caracteres especiales")]
    public string Nombre
    {
      get { return nombre; }
      set { Validator.ValidateProperty(
                value,
                new ValidationContext(this, null, null) {MemberName = "Nombre"}
            );
            nombre = value; }
    }

    [Required(ErrorMessage = "Se requieren los apellidos")]
    [RegularExpression(@"[a-zA-Zá-úÁ-ÚñÑüÜ\s]{1,32}", ErrorMessage =
        "No se permiten ni números ni caracteres especiales")]
    public string Apellidos
    {
      get { return apellidos; }
      set { Validator.ValidateProperty(
                value,
                new ValidationContext(this, null, null) {MemberName = "Apellidos"}
            );
            apellidos = value; }
    }

    [Display(Name = "Número de teléfono:", Description =
        "Un valor compuesto por dígitos, signo + y espacios")]
    [RegularExpression(@"[+0-9\s]{9,12}", ErrorMessage =
      "Debe haber entre 9 y 12 caracteres: dígitos, signo + y espacios")]
    public string Telefono
    {
      get { return telefono; }
      set { Validator.ValidateProperty(
                value,
                new ValidationContext(this, null, null) {MemberName = "Telefono"}
            );
            telefono = value; }
    }

    public override string ToString()
    {
      return Nombre + " " + Apellidos;
    }
  }
}
