﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using ColeccionDeDatos;
using System.Windows.Media.Imaging;

namespace SilverlightAccesoColDatos.Views
{
  public partial class VenSecAgregarTfno : ChildWindow
  {
    public Telefono NuevoObjTfno { get; private set; }

    public VenSecAgregarTfno()
    {
      InitializeComponent();
      int id = (Application.Current as App).ColTelefonos.Count+1;
      NuevoObjTfno = new Telefono(id);
      this.DataContext = NuevoObjTfno;
    }

    private void ChildWindow_Loaded(object sender, RoutedEventArgs e)
    {
      NuevoObjTfno.Nombre = "Nombre";
      NuevoObjTfno.Direccion = "Dirección";
      NuevoObjTfno.NumTelefono = "000000000";
      NuevoObjTfno.Observaciones = "Observaciones";
      WriteableBitmap wbm = new WriteableBitmap(0, 0).FromResource("Assets/foto.jpg");
      imFoto.Source = wbm;
    }

    private void OKButton_Click(object sender, RoutedEventArgs e)
    {
      this.DialogResult = true;
    }

    private void CancelButton_Click(object sender, RoutedEventArgs e)
    {
      this.DialogResult = false;
    }

    private void imFoto_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
    {
      OpenFileDialog dlg = new OpenFileDialog();
      dlg.Filter = "ficheros jpg (*.jpg)|*.jpg|" +
                   "ficheros jpeg (*.jpeg)|*.jpeg|" +
                   "ficheros png (*.png)|*.png|" +
                   "Todos (*.*)|*.*";

      if (dlg.ShowDialog() == true)
      {
        if (dlg.File.Name == null || dlg.File.Name.Length == 0) return;
        WriteableBitmap imagen = new WriteableBitmap(0, 0);
        imagen.SetSource(dlg.File.OpenRead());
        imFoto.Source = imagen;
      }
    }
  }
}

