﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Data.Objects.DataClasses;
using System.Data.Objects;
using ServicioWcfTfnos;

/// <summary>
/// bd_telefonos3EntitiesEx (métodos extensores): extensión a bd_telefonos3Entities derivada de ObjectContext
/// </summary>
public static class bd_telefonos3EntitiesEx
{
  public static void VincularObjeto(this bd_telefonos3Entities contex, telefono entDesvinculada)
  {
    if (entDesvinculada.EntityState == System.Data.EntityState.Detached)
    {
      object entActualEnBD = null;
      // Obtener una entidad conectada con la clave especificada
      if (contex.TryGetObjectByKey(entDesvinculada.EntityKey, out entActualEnBD))
      {
        // Aplicar los cambios registrados en la entidad desconectada a la conectada
        //contex.ApplyPropertyChanges(entDesvinculada.EntityKey.EntitySetName, entDesvinculada); // obsoleta
        contex.ApplyCurrentValues(entDesvinculada.EntityKey.EntitySetName, entDesvinculada);
        // Establecer las relaciones de la entidad desconectada en la conectada
        // invocando al método extensor:
        contex.AplicarCambiosATodasEntidades((IEntityWithRelationships)entDesvinculada,
                                             (IEntityWithRelationships)entActualEnBD);
      }
      else
        throw new ExceptionEntidadNoExiste("La entidad no existe");
    }
  }

  public static void AplicarCambiosATodasEntidades(this ObjectContext context,
  IEntityWithRelationships entidadNueva, IEntityWithRelationships entidadVieja)
  {
    // Obtener las relaciones con otras entidades de la entidad desconectada
    foreach (var extremoRelacionado in entidadVieja.RelationshipManager.GetAllRelatedEnds())
    {
      var refVieja = extremoRelacionado as EntityReference;
      if (refVieja != null)
      {
        // Establecer las relaciones obtenidas en la entidad conectada
        var refNueva = entidadNueva.RelationshipManager.GetRelatedEnd(refVieja.RelationshipName, refVieja.TargetRoleName) as EntityReference;
        refVieja.EntityKey = refNueva.EntityKey;
      }
    }
  }
}
