﻿using System;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Activation;

[ServiceContract(Namespace = "http://websol.aut.uah.es/ServiciosWeb/")]
[SilverlightFaultBehavior]
[AspNetCompatibilityRequirements(RequirementsMode = AspNetCompatibilityRequirementsMode.Allowed)]
public class ServicioWCFConverTemps
{
	[OperationContract]
  public double ConvCentAFahr(double gCent)
  {
    double grados = Math.Round(9.0 / 5.0 * gCent + 32.0, 2);
    return grados;
  }

  [OperationContract]
  public double ConvFahrACent(double gFahr)
  {
    double grados = Math.Round(((gFahr - 32.0) * 5.0) / 9.0, 2);
    return grados;
  }

  [OperationContract]
  public Detalles ResultadoDetallado(Detalles detalle)
  {
    if (detalle == null)
    {
      throw new ArgumentNullException("detalle");
    }
    if (detalle.SonCentigrados)
      detalle.Literal = ConvCentAFahr(detalle.Grados) + " grados fahrenheit.";
    else
      detalle.Literal = ConvFahrACent(detalle.Grados) + " grados centígrados.";
    return detalle;
  }
}

[DataContract(Namespace = "http://websol.aut.uah.es/ServiciosWeb/")]
public class Detalles
{
  private bool _sonCentigrados;
  private string _literal;
  private double _grados;

  [DataMember]
  public bool SonCentigrados
  {
    get { return _sonCentigrados; }
    set { _sonCentigrados = value; }
  }

  [DataMember]
  public string Literal
  {
    get { return _literal; }
    set { _literal = value; }
  }

  [DataMember]
  public double Grados
  {
    get { return _grados; }
    set { _grados = value; }
  }
}

