﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using ServicioWCFSilverlight.RefServWCFConverTemps;
using System.ServiceModel;
using System.Windows.Browser;

namespace ServicioWCFSilverlight
{
  public partial class MainPage : UserControl
  {
    private ServicioWCFConverTempsClient cliente = null;
    private double nGrados;

    public MainPage()
    {
      InitializeComponent();
      etError.Content = "";

      Uri uri = new Uri(Application.Current.Host.Source, "../ServicioWCFConverTemps.svc");
      cliente = new ServicioWCFConverTempsClient("CustomBinding_ServicioWCFConverTemps", uri.AbsoluteUri);

      cliente.ConvCentAFahrCompleted += new EventHandler<ConvCentAFahrCompletedEventArgs>(cliente_ConvCentAFahrCompleted);
      cliente.ConvFahrACentCompleted += new EventHandler<ConvFahrACentCompletedEventArgs>(cliente_ConvFahrACentCompleted);
      cliente.ResultadoDetalladoCompleted += new EventHandler<ResultadoDetalladoCompletedEventArgs>(cliente_ResultadoDetalladoCompleted);
    }

    void cliente_ConvCentAFahrCompleted(object sender, ConvCentAFahrCompletedEventArgs e)
    {
      if (e.Error != null)
      {
        etError.Content = "Error en la conversión de grados C a F";
      }
      else
      {
        ctGrados.Text = Convert.ToString(e.Result);
      }
    }

    void cliente_ConvFahrACentCompleted(object sender, ConvFahrACentCompletedEventArgs e)
    {
      if (e.Error != null)
      {
        etError.Content = "Error en la conversión de grados F a C";
      }
      else
      {
        ctGrados.Text = Convert.ToString(e.Result);
      }
    }

    void cliente_ResultadoDetalladoCompleted(object sender, ResultadoDetalladoCompletedEventArgs e)
    {
      if (e.Error != null)
      {
        etError.Content = "Error al obtener detalles del resultado";
      }
      else
      {
        ctGrados.Text = e.Result.Literal;
      }
    }

    private void btConvertir_Click(object sender, RoutedEventArgs e)
    {
      etError.Content = "";
      // Obtener el valor escrito en la caja de texto
      try
      {
        nGrados = Convert.ToDouble(ctGrados.Text);
        // Realizar la conversión invocando al método correspondiente
        if (boConvCF.IsChecked == true)
        {
          cliente.ConvCentAFahrAsync(nGrados);
        }
        if (boConvFC.IsChecked == true)
        {
          cliente.ConvFahrACentAsync(nGrados);
        }
      }
      catch (Exception exc)
      {
        etError.Content = exc.Message;
      }
    }

    private void btDetalles_Click(object sender, RoutedEventArgs e)
    {
      etError.Content = "";
      try
      {
        nGrados = Convert.ToDouble(ctGrados.Text);
        Detalles detalle = new Detalles();
        detalle.Grados = nGrados;
        detalle.SonCentigrados = (bool)boConvCF.IsChecked;
        cliente.ResultadoDetalladoAsync(detalle);
      }
      catch (Exception exc)
      {
        etError.Content = exc.Message;
      }
    }
  }
}
