﻿
namespace ApRiaServices.Web
{
  using System;
  using System.Collections.Generic;
  using System.ComponentModel;
  using System.ComponentModel.DataAnnotations;
  using System.Data;
  using System.Linq;
  using System.ServiceModel.DomainServices.EntityFramework;
  using System.ServiceModel.DomainServices.Hosting;
  using System.ServiceModel.DomainServices.Server;


  // Implementa la lógica de la aplicación mediante el contexto bd_notasAlumnosEntities.
  // TODO: agregue la lógica de su aplicación a estos métodos o en métodos adicionales.
  // TODO: aplique la autenticación (Windows/ASP.NET Forms) y quite las marcas de comentario de lo siguiente para deshabilitar el acceso anónimo
  // Considere además la posibilidad de agregar roles para restringir el acceso según necesidad.
  // [RequiresAuthentication]
  [EnableClientAccess()]
  public class NotasAlumsDomSvc : LinqToEntitiesDomainService<bd_notasAlumnosEntities>
  {

    // TODO:
    // Considere la posibilidad de restringir los resultados de su método de consulta. Si necesita entradas adicionales, puede
    // agregar parámetros a este método o crear métodos de consulta adicionales con distintos nombres.
    // Para admitir la paginación tendrá que agregar ordenación a la consulta 'alums_asigs'.
    public IQueryable<alum_asig> GetAlums_asigs()
    {
      return this.ObjectContext.alums_asigs;
    }

    public IQueryable<alum_asig> GetNotaAlumAsig(int idAlumno, int idAsignatura)
    {
      var notaAsig =
        from al_as in ObjectContext.alums_asigs
        where al_as.id_alumno == idAlumno &&
              al_as.id_asignatura == idAsignatura
        select al_as;

      return notaAsig;
    }

    public void InsertAlum_asig(alum_asig alum_asig)
    {
      if ((alum_asig.EntityState != EntityState.Detached))
      {
        this.ObjectContext.ObjectStateManager.ChangeObjectState(alum_asig, EntityState.Added);
      }
      else
      {
        this.ObjectContext.alums_asigs.AddObject(alum_asig);
      }
    }

    public void UpdateAlum_asig(alum_asig currentalum_asig)
    {
      this.ObjectContext.alums_asigs.AttachAsModified(currentalum_asig, this.ChangeSet.GetOriginal(currentalum_asig));
    }

    public void DeleteAlum_asig(alum_asig alum_asig)
    {
      if ((alum_asig.EntityState != EntityState.Detached))
      {
        this.ObjectContext.ObjectStateManager.ChangeObjectState(alum_asig, EntityState.Deleted);
      }
      else
      {
        this.ObjectContext.alums_asigs.Attach(alum_asig);
        this.ObjectContext.alums_asigs.DeleteObject(alum_asig);
      }
    }

    // TODO:
    // Considere la posibilidad de restringir los resultados de su método de consulta. Si necesita entradas adicionales, puede
    // agregar parámetros a este método o crear métodos de consulta adicionales con distintos nombres.
    // Para admitir la paginación tendrá que agregar ordenación a la consulta 'alumnos'.
    public IQueryable<alumno> GetAlumnos()
    {
      return this.ObjectContext.alumnos;
    }

    public IQueryable<alumno> GetAlumnosOrd()
    {
      return this.ObjectContext.alumnos.OrderBy(e => e.nombre);
    }

    public void InsertAlumno(alumno alumno)
    {
      if ((alumno.EntityState != EntityState.Detached))
      {
        this.ObjectContext.ObjectStateManager.ChangeObjectState(alumno, EntityState.Added);
      }
      else
      {
        this.ObjectContext.alumnos.AddObject(alumno);
      }
    }

    public void UpdateAlumno(alumno currentalumno)
    {
      this.ObjectContext.alumnos.AttachAsModified(currentalumno, this.ChangeSet.GetOriginal(currentalumno));
    }

    public void DeleteAlumno(alumno alumno)
    {
      if ((alumno.EntityState != EntityState.Detached))
      {
        this.ObjectContext.ObjectStateManager.ChangeObjectState(alumno, EntityState.Deleted);
      }
      else
      {
        this.ObjectContext.alumnos.Attach(alumno);
        this.ObjectContext.alumnos.DeleteObject(alumno);
      }
    }

    // TODO:
    // Considere la posibilidad de restringir los resultados de su método de consulta. Si necesita entradas adicionales, puede
    // agregar parámetros a este método o crear métodos de consulta adicionales con distintos nombres.
    // Para admitir la paginación tendrá que agregar ordenación a la consulta 'asignaturas'.
    public IQueryable<asignatura> GetAsignaturas()
    {
      return this.ObjectContext.asignaturas;
    }

    public IQueryable<asignatura> GetAsignaturasAlum(int idAlumno)
    {
      var alumAsigs =
        from al_as in ObjectContext.alums_asigs
        from asig in ObjectContext.asignaturas
        where al_as.id_alumno == idAlumno &&
              al_as.id_asignatura == asig.id_asignatura
        select asig;

      return alumAsigs;
    }

    public void InsertAsignatura(asignatura asignatura)
    {
      if ((asignatura.EntityState != EntityState.Detached))
      {
        this.ObjectContext.ObjectStateManager.ChangeObjectState(asignatura, EntityState.Added);
      }
      else
      {
        this.ObjectContext.asignaturas.AddObject(asignatura);
      }
    }

    public void UpdateAsignatura(asignatura currentasignatura)
    {
      this.ObjectContext.asignaturas.AttachAsModified(currentasignatura, this.ChangeSet.GetOriginal(currentasignatura));
    }

    public void DeleteAsignatura(asignatura asignatura)
    {
      if ((asignatura.EntityState != EntityState.Detached))
      {
        this.ObjectContext.ObjectStateManager.ChangeObjectState(asignatura, EntityState.Deleted);
      }
      else
      {
        this.ObjectContext.asignaturas.Attach(asignatura);
        this.ObjectContext.asignaturas.DeleteObject(asignatura);
      }
    }
  }
}


